Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.plugins.helpers
Class ServletPluginHelper

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jboss.console.plugins.helpers.ServletPluginHelper

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class ServletPluginHelper
extends javax.servlet.http.HttpServlet

Version:
  $Revision: 1.5.6.2 $

  Revisions:

  23 dec 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  , Serialized Form

Field Summary
`protected javax.servlet.ServletConfig` | `config`
`protected PluginWrapper` | `wrapper`
`static String` | `WRAPPER_CLASS_PARAM`

Constructor Summary
`ServletPluginHelper()`

Method Summary
`protected PluginWrapper` | `createPluginWrapper()`
`void` | `destroy()`
`void` | `init(javax.servlet.ServletConfig config)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WRAPPER_CLASS_PARAM

    public static final String WRAPPER_CLASS_PARAM

See Also:
  Constant Field Values

### config

    protected javax.servlet.ServletConfig config

### wrapper

    protected PluginWrapper wrapper

Constructor Detail

### ServletPluginHelper

    public ServletPluginHelper()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

### createPluginWrapper

    protected PluginWrapper createPluginWrapper()
                                         throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.